# Returns a milestone by id for the project template.

GET https://api.awork.com/api/v1/projecttemplates/{projectTemplateId}/milestones/{milestoneId}

Returns a milestone by id for the project template. The response includes the milestone's dates and status.

<Check title="Required Permissions" icon="key">The user must be an admin or have `project-manage-config:read` permissions.</Check>

## Request example

```sh
curl -X GET --globoff 'https://api.awork.com/api/v1/projecttemplates/{projectTemplateId}/milestones/{milestoneId}' \
  -H 'Authorization: Bearer <token>'
```

- path parameter `projectTemplateId`: string (required). The id of the project template.

- path parameter `milestoneId`: string (required). The id of the milestone.

## Response 200

OK

application/json

```json
{
  "name": "Internal Review",
  "color": "green",
  "relativeDueDate": 7,
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "projectTemplateId": "123e4567-e89b-12d3-a456-426614174000",
  "createdOn": "2026-01-15T09:30:00Z",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedOn": "2026-01-15T09:30:00Z",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000"
}
```
